package org.example.mislugares;

import java.util.ArrayList;

import android.content.Context;
import android.graphics.Color;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.BaseAdapter;
import android.widget.ImageView;
import android.widget.TextView;

public class AdaptadorLugares extends BaseAdapter {
	private final LayoutInflater inflador; // Crea Layouts a partir del XML
	TextView nombre, direccion;
	ImageView foto;
	TextView distancia;
	private final ArrayList<Friend> lista;

	public AdaptadorLugares(Context contexto, ArrayList<Friend> lista) {
		inflador = (LayoutInflater) contexto
				.getSystemService(Context.LAYOUT_INFLATER_SERVICE);
		this.lista = lista;
	}

	@Override
	public View getView(int posicion, View vistaReciclada, ViewGroup padre) {
		// Friend lista = Friends.elemento(posicion);
		Friend friend = lista.get(posicion);
		// MainActivity.almacen.listaFriends(10);

		if (vistaReciclada == null) {
			vistaReciclada = inflador.inflate(R.layout.elemento_lista, null);
		}
		nombre = (TextView) vistaReciclada.findViewById(R.id.nombre);
		direccion = (TextView) vistaReciclada.findViewById(R.id.direccion);
		foto = (ImageView) vistaReciclada.findViewById(R.id.foto);

		if (friend.getNombre().equalsIgnoreCase("SOLICITADO")) {
			// nombre.setTextColor(1);
			vistaReciclada.setBackgroundColor(Color.DKGRAY);
			nombre.setText("");
		} else {
			nombre.setText(friend.getNombre());
			vistaReciclada.setBackgroundColor(Color.LTGRAY);
		}


		direccion.setText(friend.getDireccion());
		foto.setImageResource(friend.getFoto());

		foto.setScaleType(ImageView.ScaleType.FIT_END);
		distancia = (TextView) vistaReciclada.findViewById(R.id.distancia);
		if (Friends.posicionActual != null && friend.getPosicion() != null) {
			int d = (int) Friends.posicionActual
					.distancia(friend.getPosicion());
			if (d < 2000) {
				distancia.setText(d + " m");
			} else {
				distancia.setText(d / 1000 + "Km");
			}
		}
		return vistaReciclada;
	}

	@Override
	public int getCount() {
		return lista.size();
	}

	@Override
	public Object getItem(int posicion) {
		return lista.get(posicion);
		// Friends.elemento(posicion);
	}

	@Override
	public long getItemId(int posicion) {
		return posicion;
	}

}