package org.example.mislugares;

import java.io.BufferedReader;
import java.io.InputStreamReader;
import java.net.HttpURLConnection;
import java.net.URL;
import java.net.URLEncoder;
import java.util.ArrayList;

import android.util.Log;

public class AlmacenPHP2 implements Almacen {

	// public void guardarPosicion(String nombre, String mail, String longitud,
	// String latitud);
	//
	// public void guardarFriend(String mail, String friendMail);
	// public Vector<String> listaFriends(int cantidad);

	@Override
	public ArrayList<Friend> getFriends() {

		ArrayList<Friend> friends = new ArrayList<Friend>();
		try {
			URL url = new URL(
					"http://findme.hostinazo.com/posicion/getmyfriends.php"
							+ "?mail=" + MainActivity.misDatos.getDireccion());
			HttpURLConnection conexion = (HttpURLConnection) url
					.openConnection();
			if (conexion.getResponseCode() == HttpURLConnection.HTTP_OK) {
				BufferedReader reader = new BufferedReader(
						new InputStreamReader(conexion.getInputStream()));
				String linea = reader.readLine();
				while (!linea.equals("")) {
					Log.e("findme:almacen:getfriends", linea);

					int a = linea.indexOf("mail=", 0);
					int b = linea.indexOf(";name=", 0);
					int e = linea.indexOf(";end", 0);
					String friendmail = linea.substring(5, b);

					if (getFriend(friendmail,
							MainActivity.misDatos.getDireccion())) {
						Log.e("findme:almacen:getfriends", friendmail + ":-)");

						String templine = getPosition(friendmail);
						Log.e("findme:almacen:getfriends-", templine);
						int m = templine.indexOf("mail=", 0);
						int n = templine.indexOf(";name=", 0);
						int o = templine.indexOf(";longitude=", 0);
						int p = templine.indexOf(";latitude=", 0);
						int q = templine.indexOf(";end", 0);
	
						Log.e("findme:almacen:getfriends",
								"name="
										+ templine.substring(n + 6, o)
										+ ";longitude="
										+ Double.valueOf(templine.substring(
												o + 11, p))
										+ ";latitude="
										+ Double.valueOf(templine.substring(
												p + 10, q)));
						
						friends.add(new Friend(templine.substring(n + 6, o),
								friendmail, Double.valueOf(templine.substring(
										o + 11, p)), Double.valueOf(templine
										.substring(p + 10, q)),
								R.drawable.foto2));



					} else {
						friends.add(new Friend(linea.substring(b + 6, e), linea
								.substring(5, b), 0, 0, R.drawable.foto1));

					}

					linea = reader.readLine();

				}
				reader.close();
				return friends;
			} else {
				Log.e("findme:almacen:getfriends",
						conexion.getResponseMessage());
				return friends;
			}
		} catch (Exception e) {
			Log.e("findme:almacen:getfriends", e.getMessage(), e);
			return friends;
		}
	}

	@Override
	public String getPosition(String mail) {
		try {
			URL url = new URL(
					"http://findme.hostinazo.com/posicion/getposition.php"
							+ "?mail=" + mail);
			HttpURLConnection conexion = (HttpURLConnection) url
					.openConnection();
			if (conexion.getResponseCode() == HttpURLConnection.HTTP_OK) {
				BufferedReader reader = new BufferedReader(
						new InputStreamReader(conexion.getInputStream()));
				String linea = reader.readLine();
				Log.e("findme:almacen:getPosition", linea);
				return linea;

				// if (!linea.equals("")) {
				// Log.e("findme:almacen:getPosition ", linea);
				// reader.close();
				// return true;
				// } else {
				// reader.close();
				// return false;
				// }
			} else {
				Log.e("findme:almacen:getPosition",
						conexion.getResponseMessage());
				return "";
			}
		} catch (Exception e) {
			Log.e("findme:almacen:getPosition", e.getMessage(), e);
			return "";
		}
	}

	@Override
	public void addFriend(String mail, String friendmail) {
		try {
			URL url = new URL(
					"http://findme.hostinazo.com/posicion/addfriend.php"
							+ "?mail=" + mail + "&friendmail=" + friendmail
							+ "&date=" + System.currentTimeMillis());

			Log.e("findme:almacen:addfriend",
					"http://findme.hostinazo.com/posicion/addfriend.php"
							+ "?mail=" + mail + "&friendmail=" + friendmail
							+ "&date=" + System.currentTimeMillis());
			HttpURLConnection conexion = (HttpURLConnection) url
					.openConnection();
			if (conexion.getResponseCode() == HttpURLConnection.HTTP_OK) {
				BufferedReader reader = new BufferedReader(
						new InputStreamReader(conexion.getInputStream()));
				String linea = reader.readLine();
				if (!linea.equals("OK")) {
					Log.e("findme:almacen:addfriend",
							"Error en servicio Web nueva");
				}
			} else {
				Log.e("findme:almacen:addfriend", conexion.getResponseMessage());
			}
			conexion.disconnect();
		} catch (Exception e) {
			Log.e("findme:almacen:addfriend", e.getMessage(), e);
		}
	}

	@Override
	public boolean getFriend(String mail, String friendmail) {
		try {
			URL url = new URL(
					"http://findme.hostinazo.com/posicion/getfriend.php"
							+ "?mail=" + mail + "&friendmail=" + friendmail);
			HttpURLConnection conexion = (HttpURLConnection) url
					.openConnection();
			if (conexion.getResponseCode() == HttpURLConnection.HTTP_OK) {
				BufferedReader reader = new BufferedReader(
						new InputStreamReader(conexion.getInputStream()));
				String linea = reader.readLine();
				if (!linea.equals("")) {
					Log.e("findme:almacen:getfriend ", linea);
					reader.close();
					return true;
				} else {
					reader.close();
					return false;
				}
			} else {
				Log.e("findme:almacen:getfriend", conexion.getResponseMessage());
				return false;
			}
		} catch (Exception e) {
			Log.e("findme:almacen:getfriend", e.getMessage(), e);
			return false;
		}
	}

	@Override
	public void addPosition(String name, String mail, String longitude,
			String latitude) {
		try {
			Log.e("findme:almacen:addposition",
					"http://findme.hostinazo.com/posicion/addposition.php"
							+ "?mail=" + mail + "&name=" + name + "&longitude="
							+ longitude + "&latitude=" + latitude + "&date="
							+ System.currentTimeMillis());

			URL url = new URL(
					"http://findme.hostinazo.com/posicion/addposition.php"
							+ "?mail=" + mail + "&name="
							+ URLEncoder.encode(name, "UTF-8") + "&longitude="
							+ longitude + "&latitude=" + latitude + "&date="
							+ System.currentTimeMillis());
			HttpURLConnection conexion = (HttpURLConnection) url
					.openConnection();
			if (conexion.getResponseCode() == HttpURLConnection.HTTP_OK) {
				BufferedReader reader = new BufferedReader(
						new InputStreamReader(conexion.getInputStream()));
				String linea = reader.readLine();
				if (!linea.equals("OK")) {
					Log.e("findme:almacen:addposition",
							"Error en servicio Web nueva");
				}
			} else {
				Log.e("findme:almacen:addposition",
						conexion.getResponseMessage());
			}
			conexion.disconnect();
		} catch (Exception e) {
			Log.e("findme:almacen:addposition", e.getMessage(), e);
		}
	}

	@Override
	public boolean getUser(String mail) {
		try {
			URL url = new URL(
					"http://findme.hostinazo.com/posicion/getuser.php"
							+ "?mail=" + mail);
			HttpURLConnection conexion = (HttpURLConnection) url
					.openConnection();
			if (conexion.getResponseCode() == HttpURLConnection.HTTP_OK) {
				BufferedReader reader = new BufferedReader(
						new InputStreamReader(conexion.getInputStream()));
				String linea = reader.readLine();
				if (!linea.equals("")) {
					reader.close();
					return true;
				} else {
					reader.close();
					return false;
				}
			} else {
				Log.e("findme:almacen:getuser", conexion.getResponseMessage());
				return false;
			}
		} catch (Exception e) {
			Log.e("findme:almacen:getuser", e.getMessage(), e);
			return false;
		}
	}

	@Override
	public void addUser(String mail, String name) {
		try {
			Log.e("findme:almacen:adduser",
					"http://findme.hostinazo.com/posicion/adduser.php"
							+ "?mail=" + mail + "&name="
							+ URLEncoder.encode(name, "UTF-8") + "&date="
							+ System.currentTimeMillis());
			URL url = new URL(
					"http://findme.hostinazo.com/posicion/adduser.php"
							+ "?mail=" + mail + "&name="
							+ URLEncoder.encode(name, "UTF-8") + "&date="
							+ System.currentTimeMillis());
			HttpURLConnection conexion = (HttpURLConnection) url
					.openConnection();
			if (conexion.getResponseCode() == HttpURLConnection.HTTP_OK) {
				BufferedReader reader = new BufferedReader(
						new InputStreamReader(conexion.getInputStream()));
				String linea = reader.readLine();
				if (!linea.equals("OK")) {
					Log.e("findme:almacen:adduser",
							"Error en servicio Web nueva");
				}
			} else {
				Log.e("findme:almacen:adduser", conexion.getResponseMessage());
			}
			conexion.disconnect();
		} catch (Exception e) {
			Log.e("findme:almacen:adduser", e.getMessage(), e);
		}

	}

	@Override
	public void updateUser(String mail, String name) {
	}
}