package org.example.mislugares;

import android.app.Activity;
import android.app.AlertDialog;
import android.content.DialogInterface;
import android.content.Intent;
import android.os.Bundle;
import android.view.Menu;
import android.view.MenuItem;
import android.view.View;
import android.widget.ImageView;
import android.widget.TextView;

public class FriendView extends Activity {
	private long id;
	private Friend lugar;
	// private ImageView imageView;
	// private Uri uriFoto;
	final static int RESULTADO_EDITAR = 1;
	final static int RESULTADO_GALERIA = 2;
	final static int RESULTADO_FOTO = 3;

	@Override
	protected void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		setContentView(R.layout.friend_view);
		Bundle extras = getIntent().getExtras();
		id = extras.getLong("id", -1);
		lugar = Friends.elemento((int) id);
		// imageView = (ImageView) findViewById(R.id.foto);
		actualizarVista(null);
	}

	@Override
	public boolean onCreateOptionsMenu(Menu menu) {
		getMenuInflater().inflate(R.menu.friend_view, menu);
		return true;
	}

	@Override
	public boolean onOptionsItemSelected(MenuItem item) {
		switch (item.getItemId()) {
		case R.id.accion_editar:
			editarLugar(null);
			return true;
		case R.id.accion_borrar:
			borrarLugar(null);
			return true;
		default:
			return super.onOptionsItemSelected(item);
		}
	}

	public void borrarLugar(View view) {
		new AlertDialog.Builder(this)
				.setTitle("Borrado del lugar")
				.setMessage("¿Estas seguro que quieres elminar el lugar?")
				.setPositiveButton("Confirmar",
						new DialogInterface.OnClickListener() {
							@Override
							public void onClick(DialogInterface dialog,
									int whichButton) {

								// Friends.borrar((int) id);
								finish();
							}
						}).setNegativeButton("Cancelar", null).show();
	}

	public void editarLugar(View view) {
		// Intent i = new Intent(this, EdicionLugar.class);
		// i.putExtra("id", id);
		// startActivityForResult(i, RESULTADO_EDITAR);
	}

	@Override
	protected void onActivityResult(int requestCode, int resultCode, Intent data) {
		if (requestCode == RESULTADO_EDITAR) {
			actualizarVista(null);
		} else if (requestCode == RESULTADO_GALERIA
				&& resultCode == Activity.RESULT_OK) {
		} else if (requestCode == RESULTADO_FOTO
				&& resultCode == Activity.RESULT_OK && lugar != null) {
		}
	}

	public void actualizarVista(View view) {
		TextView nombre = (TextView) findViewById(R.id.v_nombre);
		nombre.setText(lugar.getNombre());
		// ImageView logo_tipo = (ImageView) findViewById(R.id.logo_tipo);
		// TextView tipo = (TextView) findViewById(R.id.v_tipo);
		TextView direccion = (TextView) findViewById(R.id.v_direccion);
		direccion.setText(lugar.getDireccion());
	}

	public void verMapa(View view) {
		// Uri uri;
		// double lat = lugar.getPosicion().getLatitud();
		// double lon = lugar.getPosicion().getLongitud();
		// if (lat != 0 || lon != 0) {
		// uri = Uri.parse("geo:" + lat + "," + lon);
		// } else {
		// uri = Uri.parse("geo:0,0?q=" + lugar.getDireccion());
		// }
		// Intent intent = new Intent(Intent.ACTION_VIEW, uri);
		// startActivity(intent);
	}

	public void galeria(View view) {
		// Intent intent = new Intent(Intent.ACTION_GET_CONTENT);
		// intent.addCategory(Intent.CATEGORY_OPENABLE);
		// intent.setType("image/*");
		// startActivityForResult(intent, RESULTADO_GALERIA);
	}

	protected void ponerFoto(ImageView imageView, String uri) {
		// if (uri != null) {
		// imageView.setImageURI(Uri.parse(uri));
		// } else {
		// imageView.setImageBitmap(null);
		// }
	}

	public void tomarFoto(View view) {
		// Intent intent = new Intent("android.media.action.IMAGE_CAPTURE");
		// uriFoto = Uri.fromFile(new File(Environment
		// .getExternalStorageDirectory()
		// + File.separator
		// + "img_"
		// + (System.currentTimeMillis() / 1000) + ".jpg"));
		// intent.putExtra(MediaStore.EXTRA_OUTPUT, uriFoto);
		// startActivityForResult(intent, RESULTADO_FOTO);
	}
}
