package org.example.mislugares;

import android.app.AlertDialog;
import android.app.ListActivity;
import android.content.DialogInterface;
import android.content.Intent;
import android.location.LocationManager;
import android.os.Bundle;
import android.view.Menu;
import android.view.MenuItem;
import android.view.View;
import android.widget.EditText;
import android.widget.ListView;

/**
 * @author josue.ferri
 * 
 */
public class FriendsActivity extends ListActivity {

	public AdaptadorLugares adaptador;

	// 7.2.4
	private LocationManager manejador;

	// private Location mejorLocaliz;

	@Override
	protected void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		setContentView(R.layout.activity_main);


		adaptador = new AdaptadorLugares(this,
				MainActivity.almacen.getFriends());
		setListAdapter(adaptador);

	}

	@Override
	public boolean onCreateOptionsMenu(Menu menu) {
		getMenuInflater().inflate(R.menu.friends, menu);
		return true;
		/** true -> el menú ya está visible */
	}

	@Override
	public boolean onOptionsItemSelected(MenuItem item) {
		switch (item.getItemId()) {
		case R.id.about:
			lanzarAcercaDe(null);
			break;
		case R.id.add:
			lanzarMyFriend(null);
			break;
		case R.id.mapa:
			Intent intent = new Intent(this, MainActivity.class);
			startActivity(intent);
			break;
		}

		return true;
	}

	public void lanzarAcercaDe(View view) {
		Intent i = new Intent(this, About.class);
		startActivity(i);
	}

	public void lanzarMyFriend(View view) {
		Intent i = new Intent(this, MyFriend.class);
		startActivity(i);
	}

	public void lanzarVistaLugar(View view) {
		final EditText entrada = new EditText(this);
		entrada.setText("0");
		new AlertDialog.Builder(this).setTitle("Selección del lugar")
				.setMessage("indicar su id:").setView(entrada)
				.setPositiveButton("Ok", new DialogInterface.OnClickListener() {
					@Override
					public void onClick(DialogInterface dialog, int whichButton) {
						long id = Long.parseLong(entrada.getText().toString());
						Intent i = new Intent(FriendsActivity.this,
								FriendView.class);
						i.putExtra("id", id);
						startActivity(i);
					}
				}).setNegativeButton("Cancelar", null).show();
	}

	@Override
	protected void onListItemClick(ListView listView, View vista, int posicion,
			long id) {
		super.onListItemClick(listView, vista, posicion, id);
		Intent i = new Intent(this, FriendView.class);
		i.putExtra("id", id);
		startActivityForResult(i, 1235);
		// startActivity(i);
	}

	@Override
	protected void onActivityResult(int requestCode, int resultCode, Intent data) {
		if (requestCode == 1235) {
			setListAdapter(adaptador);
		}
	}

	@Override
	protected void onResume() {
		super.onResume();
	}


}
